package com.wall.photography.picture.tool;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;

import androidx.annotation.Nullable;

import com.wall.photography.picture.MyApp;
import com.wall.photography.picture.R;


public class CustomTextView extends androidx.appcompat.widget.AppCompatTextView {


    public CustomTextView(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        initAttrs(context,attrs);
    }


    private void initAttrs(Context context, AttributeSet attrs){
        TypedArray typedArray = context.obtainStyledAttributes(attrs, R.styleable.CustomeTv);
        boolean aBoolean = typedArray.getBoolean(R.styleable.CustomeTv_apply_font,false);
        if(aBoolean){
            setTypeface(MyApp.defaultFont);
        }

        typedArray.recycle();
    }



}

